Real spend per month
GET
/api/v1/spending/history
const url = 'http://127.0.0.1:8484/api/v1/spending/history';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8484/api/v1/spending/history \ --header 'Authorization: Bearer <token>'What was really paid each month (from the charge ledger, not from current prices), what is expected in the coming months, and lifetime paid per subscription.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”months
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
bySubscription
required
Array<object> | null
object
count
required
integer format: int64
id
required
string
name
required
string
paid
required
object
currency
required
string
minor
required
integer format: int64
since
string
heaviestMonth
string
mainCurrency
required
string
months
required
Array<object> | null
object
count
required
integer format: int64
expected
required
object
currency
required
string
minor
required
integer format: int64
month
required
string
paid
required
object
currency
required
string
minor
required
integer format: int64
totalPaid
required
object
currency
required
string
minor
required
integer format: int64
unconverted
required
Array<string> | null
Example
{ "$schema": "https://example.com/api/schemas/SpendingHistory.json"}default
Section titled “default”Error
Media typeapplication/problem+json
object
$schema
A URL to the JSON Schema for this object.
string format: uri
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "$schema": "https://example.com/api/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}